<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bootstrap demo</title>
    <script crossorigin src="https://unpkg.com/react@18/umd/react.production.min.js"></script>
    <script crossorigin src="https://unpkg.com/react-dom@18/umd/react-dom.production.min.js"></script>
    <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">

</head>

<body>
<div class="container">
    <div id="header" class="p-2">
    </div>
    <div id="bodymain" class="row">
        <div id="menu" class="col-3 mt-1">
        </div>
        <div id="body" class="col-9"></div>
    </div>
    <div id="footer" class="text-center border-top pt-2 pb-2"></div>
</div>
<script type="text/babel">
    const Header = props =>{
        return(
            <div className="nav">
                <i>{props.logo}</i>
            </div>
        )
    }
    ReactDOM.render(<Header logo="React" />, document.getElementById    ('header'));



    class Side extends React.Component{
        render(){
            return(
                <div className="col-3-lg">
                    <a className="btn btn-outline-secondary  m-2 w-100 rounded-0 mt-0 mb-0" href="#">{this.props.side}</a>
                </div>)
        }
    }
    const SideArray = [
        {side: 'Главная'},
        {side: 'Товар'},
        {side: 'Акции'},
        {side: 'о нас'},
        {side: 'Контакты'},
    ]
    const sideBars = (
            <div>
                {SideArray.map((key)=>(
                    <Side side = {key.side}  />
                ))}
                <div id="time"></div>
            </div>
    )

    ReactDOM.render( sideBars, document.getElementById("menu"));

    const Product = props => {

        return (
            <div className="col-4 pb-2 ">
                <div className="card h-100 border m-1 ">
                    <img src={props.src} alt={props.src} width="100%"/>
                    <div className="p-3 ">
                        <p className="fs-6">{props.description}</p>
                        <p className="text-danger" >{props.price} сом</p>
                    </div>
                </div>
            </div>
        )
    }
    const cards = [
        {id:0 , src: "https://www.gadget.kg/upload/catalog/65/item_6451/thumbs/f72c391986807426577329d5a394a6b8.jpg", description: 'Электрический массажер для шеи, спины и тела Kneading Neck massager', price: '1000'},
        {id:1 , src: "https://www.gadget.kg/upload/catalog/65/item_6451/thumbs/f72c391986807426577329d5a394a6b8.jpg", description: 'Фитнес браслет Xiaomi Smart Band 8 Global', price: '2300'},
        {id:2 , src: "https://www.gadget.kg/upload/catalog/65/item_6451/thumbs/f72c391986807426577329d5a394a6b8.jpg", description: 'Электрический массажер для шеи, спины и тела Kneading Neck massager', price: '1000'},
        {id:3 , src: "https://www.gadget.kg/upload/catalog/65/item_6451/thumbs/f72c391986807426577329d5a394a6b8.jpg", description: 'Электрический массажер для шеи, спины и тела Kneading Neck massager', price: '1000'},
        {id:4 , src: "https://www.gadget.kg/upload/catalog/65/item_6451/thumbs/f72c391986807426577329d5a394a6b8.jpg", description: 'Электрический массажер для шеи, спины и тела Kneading Neck massager', price: '1000'},
        {id:5 , src: "https://www.gadget.kg/upload/catalog/65/item_6451/thumbs/f72c391986807426577329d5a394a6b8.jpg", description: 'Электрический массажер для шеи, спины и тела Kneading Neck massager', price: '1000'},
    ]

    const cardsItems = (
        <div className="row">
            {cards.map((value=>
                <Product src = {value.src} description = {value.description} price = {value.price} />
            ))}
        </div>)

    ReactDOM.render( cardsItems , document.getElementById('body'))



    class Footer extends React.Component {
        render(){
            return (
                <div>
                    <p>{this.props.years}</p>
                </div>
            )
        }
    }

    const date = new Date();
    const year = date.getFullYear();

    ReactDOM.render(<Footer years = {year} />, document.getElementById('footer'))

    const root = ReactDOM.createRoot(document.getElementById('time'));

    function tick() {
        const element = (
            <div className="text-center">
               <p>{new Date().toLocaleTimeString()}</p>
            </div>
        );
        root.render(element);
    }

    setInterval(tick, 1000);

</script>



<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
</body>

</html>